Subject: Re: linux-next: Tree for February 10 (zcache)

From: Randy Dunlap <[email-masked]>
Date: Thu, 10 Feb 2011 11:00:37 -0800

On Thu, 10 Feb 2011 18:05:25 +1100 Stephen Rothwell wrote:

> Hi all,
> 
> [The kernel.org mirroring is being slow ...]
> 
> Changes since 20110209:

ZCACHE=m
ZRAM is not enabled (since BLOCK is not enabled)

ERROR: "xv_malloc" [drivers/staging/zcache/zcache.ko] undefined!
ERROR: "tmem_put" [drivers/staging/zcache/zcache.ko] undefined!
ERROR: "tmem_new_pool" [drivers/staging/zcache/zcache.ko] undefined!
ERROR: "tmem_get" [drivers/staging/zcache/zcache.ko] undefined!
ERROR: "tmem_flush_object" [drivers/staging/zcache/zcache.ko] undefined!
ERROR: "tmem_destroy_pool" [drivers/staging/zcache/zcache.ko] undefined!
ERROR: "xv_free" [drivers/staging/zcache/zcache.ko] undefined!
ERROR: "xv_get_object_size" [drivers/staging/zcache/zcache.ko] undefined!
ERROR: "tmem_flush_page" [drivers/staging/zcache/zcache.ko] undefined!

Also, in zcache/Kconfig, there is:
	select XVMALLOC
but that kconfig symbol does not exist.  What should that be?

Full kernel config file is attached.

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***